/*
 * JBoss, the OpenSource J2EE WebOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.docs.appletclient.ejb;

import javax.ejb.SessionBean;
import javax.ejb.SessionContext;

import org.jboss.docs.appletclient.interfaces.*;

/**
 *   Example bean for testing Applet client
 *
 *   @author Sacha Labourey (sacha.labourey@cogito-info.ch)
 *
 *   @version $Revision: 1.1 $
 */


public class TestAppletBean implements SessionBean
{
   private SessionContext sessionContext;

   public void ejbCreate() {}
   public void ejbRemove() {}
   public void ejbActivate() {}
   public void ejbPassivate(){}
   public void setSessionContext(SessionContext context)
   {
      sessionContext = context;
   }
   public String getMessage()
   {
      String hostname = "Unknown host";

      try
      {
         hostname = java.net.InetAddress.getLocalHost ().getHostName ();
      } catch (java.net.UnknownHostException uhe) { }

      String now = java.text.DateFormat.getDateInstance().format (new java.util.Date());

      System.out.println ("getMessage has been called from Applet!");

      return "Hello from " + hostname + ", here it is: " + now + ".";
   }
}
