package org.jboss.docs.cmp.cd;

import org.jboss.docs.cmp.cd.interfaces.CDHome;
import org.jboss.docs.cmp.cd.interfaces.CD;
import org.jboss.docs.cmp.cd.interfaces.CDCollectionHome;
import org.jboss.docs.cmp.cd.interfaces.CDCollection;
import javax.naming.InitialContext;
import javax.rmi.PortableRemoteObject;
import java.util.Hashtable;
import java.util.Properties;
import java.io.FileInputStream;

/**
 * This is a simple client for the `CD' EJB; it removes all the `CD' instances
 * from the system. The `main' method allows this class to be run from the
 * command line.
 */
public class Remove {

   public static void main(String[] args) {
		// Enclosing the whole process in a single `try' block is not an ideal way
		// to do exception handling, but I don't want to clutter the program up
		// with catch blocks
		try {
			// Get a naming context
   		InitialContext jndiContext = new InitialContext();

			// Need two object references, one for the collection,
			// one for each CD.

			// Get a reference to a CD Bean
			Object refCD = jndiContext.lookup("cd/CD");

			// Get a reference to the CD Bean's Home interface
			CDHome cdHome = (CDHome)
				PortableRemoteObject.narrow (refCD, CDHome.class);


			// Get a reference to a CDCollection Bean
			Object ref  = jndiContext.lookup("cd/CDCollection");

			// Get a reference to the collection Bean's Home interface
			CDCollectionHome cdCollectionHome = (CDCollectionHome)
				PortableRemoteObject.narrow (ref, CDCollectionHome.class);

			CDCollection cdCollection = cdCollectionHome.create();

			CD[] cds = cdCollection.findAll();
			for (int i = 0; i < cds.length; i++)
         {
				System.out.println ("Removing " +
					cds[i].getId() + "\t" +
					cds[i].getTitle());
				CD eachCD = cdHome.findByPrimaryKey(cds[i].getId());
				eachCD.remove();
			}
		}
      catch(Exception e)
      {
			System.out.println(e.toString());
		}
	}

}