package org.jboss.docs.cmp.cd.interfaces;

import javax.ejb.EJBObject;
import javax.ejb.FinderException;
import java.rmi.RemoteException;

/**
 * This interface defines the remote interface for the `CDCollection' EJB.
 */

public interface CDCollection
extends EJBObject
{

   /**
    * Adds a CD to the collection, if possible
    */
   public void addCd(Integer id, String title, String artist, String type,
      String notes)
	throws RemoteException, CDExistsException;

   /**
    * Deletes all CDs from the database
    */
   public void deleteAll()
   throws RemoteException;

   public CD[] findAll()
   throws RemoteException, FinderException;

   public CD[] lookupInAnyField(String s)
   throws RemoteException, FinderException;

}

