package org.jboss.docs.cmp.jaws.bean;

import org.jboss.docs.cmp.jaws.interfaces.ClassDetail;
import org.jboss.docs.cmp.jaws.interfaces.LessonDetail;
import javax.ejb.EntityBean;
import javax.ejb.EntityContext;

/**
 * Entity Bean representing a Class. A Class have a Teacher and a number of
 * Students
 */

public class ClassBean
implements EntityBean
{
   EntityContext ctx;

   public Integer classId;
   public String teacherName;
   public Integer studentCount;
   public LessonDetail lesson;

   private ClassDetail classDetail;

   /**
    * Create an instance of a Class.
    */
   public Integer ejbCreate (ClassDetail classDetail)
   {
      this.classId = new Integer(classDetail.getClassId());
      setDetail(classDetail);
      return null;
   }

   public void ejbPostCreate(ClassDetail classDetail) { }

   public ClassDetail getDetail()
   {
      if (classDetail == null)
      {
         classDetail = new ClassDetail();
         classDetail.setClassId(classId.intValue());
         classDetail.setStudentCount(studentCount.intValue());
         classDetail.setTeacherName(teacherName);
      }
      return classDetail;
   }

   public void setDetail(ClassDetail detail)
   {
      this.studentCount = new Integer(detail.getStudentCount());
      this.teacherName = detail.getTeacherName();
      this.lesson = detail.getLesson();
   }

   public void setTeacherName(String name)
   {
      this.teacherName = name;
      classDetail = null;
   }

   public void setEntityContext(EntityContext ctx) { this.ctx = ctx; }

   public void unsetEntityContext() { ctx = null; }

   public void ejbActivate() {}

   public void ejbPassivate()
   {
      classDetail = null;
   }

   public void ejbLoad()
   {
      classDetail = null;
   }

   public void ejbStore() { }
   public void ejbRemove() { }

}
