package org.jboss.docs.jaas.howto;

import java.io.IOException;
import java.io.PrintWriter;
import java.security.Principal;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.jboss.docs.jaas.howto.Session;
import org.jboss.docs.jaas.howto.SessionHome;

/** 
 *
 * @author  Scott_Stark@displayscape.com
 * @version $Revision: 1.1 $
 */
public class SecureEJBServlet extends HttpServlet
{
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException
    {
        String echoMsg = null;
        try
        {
            InitialContext ctx = new InitialContext();
            SessionHome home = (SessionHome) ctx.lookup("java:comp/env/ejb/SecuredEJB");
            Session bean = home.create();
            echoMsg = bean.echo("Hello");
        }
        catch(Exception e)
        {
            throw new ServletException("Failed to call SecuredEJB.echo", e);
        }
        Principal user = request.getUserPrincipal();
        response.setContentType("text/html");
        PrintWriter out = response.getWriter();
        out.println("<html>");
        out.println("<head><title>SecureEJBServlet</title></head>");
        out.println("<h1>SecureServlet Accessed</h1>");
        out.println("<body><pre>You have accessed this servlet as user: "+user);
        out.println("The SecuredEJB.echo('Hello') returned: "+echoMsg);
        out.println("</pre></body></html>");
        out.close();
    }

    protected void doGet(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException
    {
        processRequest(request, response);
    }

    protected void doPost(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException
    {
        processRequest(request, response);
    }

}
