package org.jboss.docs.jaas.howto;

import java.security.Principal;
import javax.ejb.*;

/**
@ejbHome: SessionHome
@ejbRemote: Session
*/
public class StatefulSessionBean implements SessionBean
{
    private SessionContext sessionContext;

    public void ejbCreate() throws CreateException
    {
        System.out.println("StatefulSessionBean.ejbCreate() called");
    }

    public void ejbActivate() 
    {
        System.out.println("StatefulSessionBean.ejbActivate() called");
    }

    public void ejbPassivate() 
    {
        System.out.println("StatefulSessionBean.ejbPassivate() called");
    }

    public void ejbRemove() 
    {
        System.out.println("StatefulSessionBean.ejbRemove() called");
    }

    public void setSessionContext(SessionContext context) 
    {
        sessionContext = context;
    }

    public String echo(String arg)
    {
        System.out.println("StatefulSessionBean.echo, arg="+arg);
        Principal p = sessionContext.getCallerPrincipal();
        System.out.println("StatefulSessionBean.echo, callerPrincipal="+p);
        return arg;
    }
    public void noop() 
    {
        System.out.println("StatefulSessionBean.noop");
        Principal p = sessionContext.getCallerPrincipal();
        System.out.println("StatefulSessionBean.noop, callerPrincipal="+p);
    }
}
