package org.jboss.docs.jaas.howto;

import java.security.Principal;
import javax.ejb.*;

/**
@ejbHome: SessionHome
@ejbRemote: Session
*/
public class StatelessSessionBean implements SessionBean
{
    private SessionContext sessionContext;

    public void ejbCreate() throws CreateException
    {
        System.out.println("StatelessSessionBean.ejbCreate() called");
    }

    public void ejbActivate()
    {
        System.out.println("StatelessSessionBean.ejbActivate() called");
    }

    public void ejbPassivate()
    {
        System.out.println("StatelessSessionBean.ejbPassivate() called");
    }

    public void ejbRemove()
    {
        System.out.println("StatelessSessionBean.ejbRemove() called");
    }

    public void setSessionContext(SessionContext context)
    {
        sessionContext = context;
    }

    public String echo(String arg)
    {
        System.out.println("StatelessSessionBean.echo, arg="+arg);
        Principal p = sessionContext.getCallerPrincipal();
        System.out.println("StatelessSessionBean.echo, callerPrincipal="+p);
        return arg;
    }
    public void noop()
    {
        System.out.println("StatelessSessionBean.noop");
        Principal p = sessionContext.getCallerPrincipal();
        System.out.println("StatelessSessionBean.noop, callerPrincipal="+p);
    }
}
