/*
* JBoss, the OpenSource EJB server
*
* Distributable under LGPL license.
* See terms of license at gnu.org.
*/
package org.jboss.docs.jms.client;

import javax.naming.NamingException;

import javax.jms.JMSException;
/**
 * HelloPublisher working with JBoss 2.5.x. The only difference between this
 * class and HelloPublisher is the name of the ConnectionFactory
 *
 *
 * Created: Wed Jul 25 12:47:02 2001
 *
 * @author Peter Antman
 * @version $Revision: 1.1 $
 */

public class HelloPublisher25 extends HelloPublisher{
   
   public HelloPublisher25(String factoryJNDI, String topicJNDI) throws JMSException, NamingException {
      super(factoryJNDI,topicJNDI);
   }
   
   /**
    * Run an example publishing 10 messages to testTopic. Only works from JBoss 2.5.x and up.
    */
   public static void main(String[] args) {
      try {
	 
	 //Create the HelloPublisher, giving it the name of the TopicConnection
	 //Factory and the Topic destination to use in lookup.
	 
	 HelloPublisher25 publisher = new HelloPublisher25(
	    // Name of ConnectionFactory
	    "ConnectionFactory",
	    // Name of destination to publish to
	    "topic/testTopic"
	    );
	 
	 // Publish 10 messages
	 for (int i = 1; i < 11; i++) {
	    String msg = "Hello World no. " + i;
	    System.out.println("Publishing message: " + msg);
	    publisher.publish(msg);
	 }
	 
	 // Close down your publisher
	 publisher.close();
	 
      }catch(Exception ex) {
	 System.err.println("An exception occured while testing HelloPublisher25: " + ex);
	 ex.printStackTrace();
      }
   }
   
} // HelloPublisher25
