/*
* JBoss, the OpenSource EJB server
*
* Distributable under LGPL license.
* See terms of license at gnu.org.
*/
package org.jboss.docs.jms.client;

import javax.naming.NamingException;

import javax.jms.JMSException;
/**
 * HelloReceiver working with JBoss 2.5.x. The only difference between this
 * class and HelloSender is the name of the ConnectionFactory
 *
 *
 * Created: Wed Jul 25 12:38:08 2001
 *
 * @author Peter Antman
 * @version $Revision: 1.1 $
 */

public class HelloReceiver25 extends HelloReceiver{
   
   public HelloReceiver25(String factoryJNDI, String queueJNDI) throws JMSException, NamingException {
      super(factoryJNDI,queueJNDI);
   }
   
   /**
    * Run an example subscribing to queue testQueue. Only works from JBoss 2.5.x and up.
    */
   public static void main(String[] args) {
      try {
	 
	 //Create the HelloSubsriber, giving it the name of the QueueConnection
	 //Factory and the Queue destination to use in lookup.
	 
	 HelloReceiver25 receiver = new HelloReceiver25(
	    // Name of ConnectionFactory
	    "ConnectionFactory",
	    // Name of destination to publish to
	    "queue/testQueue"
	    );
	 
      }catch(Exception ex) {
	 System.err.println("An exception occured while testing HelloReceiver: " + ex);
	 ex.printStackTrace();
      }
   }
   
} // HelloReceiver25
