/*
* JBoss, the OpenSource EJB server
*
* Distributable under LGPL license.
* See terms of license at gnu.org.
*/
package org.jboss.docs.jms.client;

import javax.naming.NamingException;

import javax.jms.JMSException;
/**
 * HelloSender working with JBoss 2.5.x. The only difference between this
 * class and HelloSender is the name of the ConnectionFactory
 *
 *
 * Created: Wed Jul 25 12:47:02 2001
 *
 * @author Peter Antman
 * @version $Revision: 1.1 $
 */

public class HelloSender25 extends HelloSender{
   
   public HelloSender25(String factoryJNDI, String queueJNDI) throws JMSException, NamingException {
      super(factoryJNDI,queueJNDI);
   }
   
   /**
    * Run an example publishing 10 messages to testQueue. Only works from JBoss 2.5.x and up.
    */
   public static void main(String[] args) {
      try {
	 
	 //Create the HelloSender, giving it the name of the QueueConnection
	 //Factory and the Queue destination to use in lookup.
	 
	 HelloSender25 sender = new HelloSender25(
	    // Name of ConnectionFactory
	    "ConnectionFactory",
	    // Name of destination to publish to
	    "queue/testQueue"
	    );
	 
	 // Publish 10 messages
	 for (int i = 1; i < 11; i++) {
	    String msg = "Hello World no. " + i;
	    System.out.println("Sending message: " + msg);
	    sender.send(msg);
	 }
	 
	 // Close down your sender
	 sender.close();
	 
      }catch(Exception ex) {
	 System.err.println("An exception occured while testing HelloSender25: " + ex);
	 ex.printStackTrace();
      }
   }
   
} // HelloSender25
