/*
* JBoss, the OpenSource EJB server
*
* Distributable under LGPL license.
* See terms of license at gnu.org.
*/
package org.jboss.docs.jms.client;

import javax.naming.NamingException;

import javax.jms.JMSException;
/**
 * HelloSubscriber working with JBoss 2.5.x. The only difference between this
 * class and HelloSubsriber is the name of the ConnectionFactory
 *
 *
 * Created: Wed Jul 25 12:38:08 2001
 *
 * @author Peter Antman
 * @version $Revision: 1.1 $
 */

public class HelloSubscriber25 extends HelloSubscriber{
   
   public HelloSubscriber25(String factoryJNDI, String topicJNDI) throws JMSException, NamingException {
      super(factoryJNDI,topicJNDI);
   }
   
   /**
    * Run an example subscribing to topic testTopic. Only works from JBoss 2.5.x and up.
    */
   public static void main(String[] args) {
      try {
	 
	 //Create the HelloSubsriber, giving it the name of the TopicConnection
	 //Factory and the Topic destination to use in lookup.
	 
	 HelloSubscriber25 subscriber = new HelloSubscriber25(
	    // Name of ConnectionFactory
	    "ConnectionFactory",
	    // Name of destination to publish to
	    "topic/testTopic"
	    );
	 
      }catch(Exception ex) {
	 System.err.println("An exception occured while testing HelloPublisher: " + ex);
	 ex.printStackTrace();
      }
   }
   
} // HelloSubscriber25
