/*
* JBoss, the OpenSource EJB server
*
* Distributable under LGPL license.
* See terms of license at gnu.org.
*/
package org.jboss.docs.jms.mdb.bean;

import javax.ejb.MessageDrivenBean;
import javax.ejb.MessageDrivenContext;
import javax.ejb.EJBException;

import javax.jms.MessageListener;
import javax.jms.Message;

/**
 * Simple HelloWorld Message Driven Bean. May be bound to both a Topic or a Queue through the deployment descriptor.
 *
 *
 * Created: Thu Jul 26 13:20:32 2001
 *
 * @author Peter Antman
 * @version $Revision: 1.1 $ $Date: 2001/08/07 21:08:59 $
 */

public class HelloMDB implements MessageDrivenBean, MessageListener {

   private MessageDrivenContext ctx = null;
   
   public HelloMDB() {
      
   }
   
   //--- MessageDrivenBean
   public void setMessageDrivenContext(MessageDrivenContext ctx)
      throws EJBException {
      this.ctx = ctx;
   }
   
   public void ejbCreate() {}
   
   public void ejbRemove() {ctx=null;}
   
   //--- MessageListener
   public void onMessage(Message message) {
      System.err.println("Bean got message" + message.toString() );
   }
   
} // HelloMDB
