/*
* JBoss, the OpenSource EJB server
*
* Distributable under LGPL license.
* See terms of license at gnu.org.
*/
package org.jboss.docs.jms.mdb.bean;

import javax.ejb.SessionBean;
import javax.ejb.SessionContext;
import javax.ejb.CreateException;
import java.rmi.RemoteException;

/**
 * A worker session bean. When invokes through a MDB listener this bean will
 * be invokes asynchonously by sending messages to the JMS destination the MDB
 * is configured to subscribe to.
 *
 *
 * @author Peter Antman
 * @version $Revision: 1.1 $
 */

public class HelloWorkerBean implements SessionBean {
   private SessionContext ctx;
   
   public HelloWorkerBean() {
      
   }
   
   // The usual sessions ejb methods.
   public void setSessionContext(javax.ejb.SessionContext ctx) throws RemoteException { this.ctx = ctx; }
   public void unsetSessionContext() throws RemoteException { this.ctx = null; }
   public void ejbActivate() throws RemoteException {}
   public void ejbPassivate() throws RemoteException {}
   public void ejbRemove() throws RemoteException {}
   public void ejbCreate() throws CreateException {}
   
   /**
    * Do the work, invoked from MDB listener. I.e, this bean will be 
    * invoked asynchrously by sending messages to th
    */
   public void doWork(String work) {
         System.out.println("WorkerBean doing work: " + work);
     }
} // HelloWorkerBean
